
Redmine - Defect #4400

Cannot create a new category on ticket creation/update page

2009-12-15 07:38 - Shoaibi .

Status: Closed Start date: 2009-12-15

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version: 0.8.7

Description

when i try to create a new category on ticket creation/update page (while logged in as admin), the javascript box appears, i input the

category name and it goes away but the category is never created, production.log says:

ActionController::InvalidAuthenticityToken (ActionController::InvalidAuthenticityToken):

    /vendor/rails/actionpack/lib/action_controller/request_forgery_protection.rb:86:in `verify_aut

henticity_token'

    /vendor/rails/activesupport/lib/active_support/callbacks.rb:173:in `send'

    /vendor/rails/activesupport/lib/active_support/callbacks.rb:173:in `evaluate_method'

    /vendor/rails/activesupport/lib/active_support/callbacks.rb:161:in `call'

    /vendor/rails/actionpack/lib/action_controller/filters.rb:191:in `call'

    /vendor/rails/actionpack/lib/action_controller/filters.rb:591:in `run_before_filters'

    /vendor/rails/actionpack/lib/action_controller/filters.rb:577:in `call_filters'

    /vendor/rails/actionpack/lib/action_controller/filters.rb:572:in `perform_action_without_bench

mark'

    /vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in `perform_action_without_r

escue'

    /usr/lib/ruby/1.8/benchmark.rb:293:in `measure'

    /vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in `perform_action_without_r

escue'

    /vendor/rails/actionpack/lib/action_controller/rescue.rb:201:in `perform_action_without_cachin

g'

    /vendor/rails/actionpack/lib/action_controller/caching/sql_cache.rb:13:in `passenger_orig_perf

orm_action'

    /vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/query_cache.rb:33:in

 `cache'

    /vendor/rails/activerecord/lib/active_record/query_cache.rb:8:in `cache'

    /vendor/rails/actionpack/lib/action_controller/caching/sql_cache.rb:12:in `passenger_orig_perf

orm_action'

    /usr/lib/ruby/gems/1.8/gems/passenger-2.2.7/lib/phusion_passenger/railz/request_handler.rb:65:

in `perform_action'

    /vendor/rails/actionpack/lib/action_controller/base.rb:529:in `send'

    /vendor/rails/actionpack/lib/action_controller/base.rb:529:in `process_without_filters'

    /vendor/rails/actionpack/lib/action_controller/filters.rb:568:in `process_without_session_mana

gement_support'

    /vendor/rails/actionpack/lib/action_controller/session_management.rb:130:in `process'

    /vendor/rails/actionpack/lib/action_controller/base.rb:389:in `process'

    /vendor/rails/actionpack/lib/action_controller/dispatcher.rb:149:in `handle_request'

    /vendor/rails/actionpack/lib/action_controller/dispatcher.rb:107:in `dispatch'

    /vendor/rails/actionpack/lib/action_controller/dispatcher.rb:104:in `synchronize'

    /vendor/rails/actionpack/lib/action_controller/dispatcher.rb:104:in `dispatch'

    /vendor/rails/actionpack/lib/action_controller/dispatcher.rb:120:in `dispatch_cgi'

    /vendor/rails/actionpack/lib/action_controller/dispatcher.rb:35:in `dispatch'

    /usr/lib/ruby/gems/1.8/gems/passenger-2.2.7/lib/phusion_passenger/railz/request_handler.rb:50:

in `process_request'

    /usr/lib/ruby/gems/1.8/gems/passenger-2.2.7/lib/phusion_passenger/abstract_request_handler.rb:

207:in `main_loop'

    /usr/lib/ruby/gems/1.8/gems/passenger-2.2.7/lib/phusion_passenger/railz/application_spawner.rb

:374:in `start_request_handler'

    /usr/lib/ruby/gems/1.8/gems/passenger-2.2.7/lib/phusion_passenger/railz/application_spawner.rb

:332:in `handle_spawn_application'
    /usr/lib/ruby/gems/1.8/gems/passenger-2.2.7/lib/phusion_passenger/utils.rb:184:in `safe_fork'

    /usr/lib/ruby/gems/1.8/gems/passenger-2.2.7/lib/phusion_passenger/railz/application_spawner.rb

:330:in `handle_spawn_application'

    /usr/lib/ruby/gems/1.8/gems/passenger-2.2.7/lib/phusion_passenger/abstract_server.rb:352:in `_

_send__'

    /usr/lib/ruby/gems/1.8/gems/passenger-2.2.7/lib/phusion_passenger/abstract_server.rb:352:in `m

ain_loop'

    /usr/lib/ruby/gems/1.8/gems/passenger-2.2.7/lib/phusion_passenger/abstract_server.rb:196:in `s

tart_synchronously'

    /usr/lib/ruby/gems/1.8/gems/passenger-2.2.7/lib/phusion_passenger/abstract_server.rb:163:in `s

tart'

    /usr/lib/ruby/gems/1.8/gems/passenger-2.2.7/lib/phusion_passenger/railz/application_spawner.rb

:209:in `start'

    /usr/lib/ruby/gems/1.8/gems/passenger-2.2.7/lib/phusion_passenger/spawn_manager.rb:262:in `spa

wn_rails_application'

    /usr/lib/ruby/gems/1.8/gems/passenger-2.2.7/lib/phusion_passenger/abstract_server_collection.r

b:126:in `lookup_or_add'

    /usr/lib/ruby/gems/1.8/gems/passenger-2.2.7/lib/phusion_passenger/spawn_manager.rb:256:in `spa

wn_rails_application'

    /usr/lib/ruby/gems/1.8/gems/passenger-2.2.7/lib/phusion_passenger/abstract_server_collection.r

b:80:in `synchronize'

    /usr/lib/ruby/gems/1.8/gems/passenger-2.2.7/lib/phusion_passenger/abstract_server_collection.r

b:79:in `synchronize'

    /usr/lib/ruby/gems/1.8/gems/passenger-2.2.7/lib/phusion_passenger/spawn_manager.rb:255:in `spa

wn_rails_application'

    /usr/lib/ruby/gems/1.8/gems/passenger-2.2.7/lib/phusion_passenger/spawn_manager.rb:154:in `spa

wn_application'

    /usr/lib/ruby/gems/1.8/gems/passenger-2.2.7/lib/phusion_passenger/spawn_manager.rb:287:in `han

dle_spawn_application'

    /usr/lib/ruby/gems/1.8/gems/passenger-2.2.7/lib/phusion_passenger/abstract_server.rb:352:in `_

_send__'

    /usr/lib/ruby/gems/1.8/gems/passenger-2.2.7/lib/phusion_passenger/abstract_server.rb:352:in `m

ain_loop'

    /usr/lib/ruby/gems/1.8/gems/passenger-2.2.7/lib/phusion_passenger/abstract_server.rb:196:in `s

tart_synchronously'

    /usr/lib/ruby/gems/1.8/gems/passenger-2.2.7/bin/passenger-spawn-server:61

 My Redmine setup is:

CentOS 5.4 Final

mysql  Ver 14.12 Distrib 5.0.77, for redhat-linux-gnu (i686) using readline 5.1

Ruby version              1.8.5 (i386-linux)

RubyGems version          1.3.1

Rails version             2.1.2

Active Record version     2.1.2

Action Pack version       2.1.2

Active Resource version   2.1.2

Action Mailer version     2.1.2

Active Support version    2.1.2

Edge Rails revision       unknown

Application root          /var/www/vhosts.d/redmine.stagging.me

Environment               development

Database adapter          mysql

Database schema version   101

About your Redmine plugins

Redmine System Notification plugin   0.2.0

Rate Plugin                          0.1.0

Timesheet Plugin                     0.5.0

Scrumdashboard plugin                1.2

Redmine Backlogs plugin              0.0.1

Redmine Todo Lists plugin            0.0.3.9

Budget                               0.2.0

Related issues:

Has duplicate Redmine - Defect #4537: ActionController::InvalidAuthenticityTo... Closed 2010-01-08
Associated revisions

Revision 3304 - 2010-01-10 14:49 - Jean-Philippe Lang

Fixed: Cannot create a new category on ticket creation/update page with 0.8.7 (#4400).

History

#1 - 2010-01-10 14:42 - Jean-Philippe Lang

- Status changed from New to Resolved

- Resolution set to Fixed

Fixed in r3304 in 0.8-stable branch.

Trunk and 0.9-stable are not affected.

#2 - 2010-07-09 21:17 - Felix Schäfer

- Status changed from Resolved to Closed
